text-1.2.1.3: An efficient packed Unicode text type.

Copyright | (c) 2014 Bryan O'Sullivan
License | BSD-style
Maintainer | bos@serpentine.com
Stability | experimental
Portability | GHC
Safe Haskell | Safe
Language | Haskell98

Data.Text.Internal.Read

Description

Common internal functiopns for reading textual data.

# Documentation

type IReader t a = t -> Either String (a, t) #

newtype IParser t a #

Constructors

P |
Fields runP :: IReader t a

Instances

Monad (IParser t) # |
Methods (>>=) :: IParser t a -> (a -> IParser t b) -> IParser t b # (>>) :: IParser t a -> IParser t b -> IParser t b # return :: a -> IParser t a # fail :: String -> IParser t a #
Functor (IParser t) # |
Methods fmap :: (a -> b) -> IParser t a -> IParser t b # (<$) :: a -> IParser t b -> IParser t a #
Applicative (IParser t) # |
Methods pure :: a -> IParser t a # (<*>) :: IParser t (a -> b) -> IParser t a -> IParser t b # liftA2 :: (a -> b -> c) -> IParser t a -> IParser t b -> IParser t c # (*>) :: IParser t a -> IParser t b -> IParser t b # (<*) :: IParser t a -> IParser t b -> IParser t a #

data T #

Constructors

T !Integer !Int |

digitToInt :: Char -> Int #

hexDigitToInt :: Char -> Int #

perhaps :: a -> IParser t a -> IParser t a #